<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'assetdocs',

    /*
     * Package.
     */
    'package'   => 'student',

    /*
     * Modules.
     */
    'modules'   => ['client'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    
    'client'       => [
        'model'                 => 'Assetdocs\Student\Models\Client',
        'table'                 => 'clients',
        'presenter'             => \Assetdocs\Student\Repositories\Presenter\ClientItemPresenter::class,
        'hidden'                => [],
        'visible'               => [],
        'guarded'               => ['*'],
        'slugs'                 => ['slug' => 'name'],
        'dates'                 => ['deleted_at'],
        'appends'               => [],
        'fillable'              => ['user_id', 'id',  'name',  'type',  'description',  'PRIMARY'],
        'translatables'         => ['id',  'name',  'type',  'description',  'PRIMARY'],
        'upload_folder'         => 'student/client',
        'uploads'               => [],
        'casts'                 => [],
        'revision'              => [],
        'perPage'               => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],

        'workflow'      => [
            'points' => [
                'start' => 'draft',
                'end'   => ['delete'],
            ],
            'steps'  => [
                'draft'     => [
                    'label'  => "Client created",
                    'action' => ['setStatus', 'draft'],
                    'next'   => ['complete'],
                ],
                'complete'  => [
                    'label'  => "Client completed",
                    'status' => ['setStatus', 'complete'],
                    'next'   => ['verify'],
                ],
                'verify'    => [
                    'label'  => "Client verified",
                    'action' => ['setStatus', 'verify'],
                    'next'   => ['approve'],
                ],
                'approve'   => [
                    'label'  => "Client approved",
                    'action' => ['setStatus', 'approve'],
                    'next'   => ['publish'],
                ],
                'publish'   => [
                    'label'  => "Client published",
                    'action' => ['setStatus', 'publish'],
                    'next'   => ['unpublish', 'delete', 'target', 'archive'],
                ],
                'unpublish' => [
                    'label'  => "Client unpublished",
                    'action' => ['setStatus', 'unpublish'],
                    'next'   => ['publish', 'target', 'archive', 'delete'],
                ],
                'archive'   => [
                    'label'  => "Client archived",
                    'action' => ['setStatus', 'archive'],
                    'next'   => ['publish', 'delete'],
                ],
                'delete'    => [
                    'Label'  => "Client deleted",
                    'status' => ['delete', 'archive'],
                ],
            ],
        ],

    ],
];
