<?php

namespace Assetdocs\Student\Workflow;

use Assetdocs\Student\Models\Client;
use Assetdocs\Student\Notifications\ClientWorkflow as ClientNotifyer;
use Notification;

class ClientNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Client $client
     *
     * @return void
     */
    public function complete(Client $client)
    {
        return Notification::send($client->user, new ClientNotifyer($client, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Client $client
     *
     * @return void
     */
    public function verify(Client $client)
    {
        return Notification::send($client->user, new ClientNotifyer($client, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Client $client
     *
     * @return void
     */
    public function approve(Client $client)
    {
        return Notification::send($client->user, new ClientNotifyer($client, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Client $client
     *
     * @return void
     */
    public function publish(Client $client)
    {
        return Notification::send($client->user, new ClientNotifyer($client, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Client $client
     *
     * @return void
     */
    public function archive(Client $client)
    {
        return Notification::send($client->user, new ClientNotifyer($client, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Client $client
     *
     * @return void
     */
    public function unpublish(Client $client)
    {
        return Notification::send($client->user, new ClientNotifyer($client, 'unpublish'));;

    }
}
